## r-cran-kernelheaping 2.3.0

=== DESCRIPTION ===
Package: Kernelheaping
Type: Package
Title: Kernel Density Estimation for Heaped and Rounded Data
Authors@R: c(person("Marcus", "Gross",
  role = c("aut", "cre"), email = "marcus.gross@inwt-statistics.de"),
  person("Lukas", "Fuchs", role = "aut",
  email = "f.lukas@live.de"),
  person("Kerstin", "Erfurth", role = "ctb",
  email = "keri.erfurth@gmail.com"))
Version: 2.3.0
Date: 2022-01-26
Depends: R (>= 2.15.0), MASS, ks, sparr
Imports: sp, plyr, dplyr, fastmatch, fitdistrplus, GB2, magrittr,
        mvtnorm
Author: Marcus Gross [aut, cre],
  Lukas Fuchs [aut],
  Kerstin Erfurth [ctb]
Maintainer: Marcus Gross <marcus.gross@inwt-statistics.de>
Description: In self-reported or anonymised data the user often encounters
    heaped data, i.e. data which are rounded (to a possibly different degree
    of coarseness). While this is mostly a minor problem in parametric density
    estimation the bias can be very large for non-parametric methods such as kernel
    density estimation. This package implements a partly Bayesian algorithm treating
    the true unknown values as additional parameters and estimates the rounding
    parameters to give a corrected kernel density estimate. It supports various
    standard bandwidth selection methods. Varying rounding probabilities (depending
    on the true value) and asymmetric rounding is estimable as well: Gross, M. and Rendtel, U. (2016) (<doi:10.1093/jssam/smw011>).
    Additionally, bivariate non-parametric density estimation for rounded data, Gross, M. et al. (2016) (<doi:10.1111/rssa.12179>),
    as well as data aggregated on areas is supported.
License: GPL-2 | GPL-3
RoxygenNote: 7.1.0
NeedsCompilation: no
Packaged: 2022-01-26 18:23:59 UTC; M
Repository: CRAN
Date/Publication: 2022-01-26 18:42:52 UTC

=== debian/changelog ===
r-cran-kernelheaping (2.3.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Add debian/README.source

 -- Andreas Tille <tille@debian.org>  Sat, 12 Feb 2022 08:45:28 +0100

r-cran-kernelheaping (2.2.8-2) unstable; urgency=medium

  * Packaging update
  * dh-update-R to update Build-Depends (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Sat, 11 Dec 2021 09:07:13 +0100

r-cran-kernelheaping (2.2.8-1) unstable; urgency=medium

  * Initial release (closes: #999831)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Nov 2021 12:24:04 +0100

=== debian/control ===
Source: r-cran-kernelheaping
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-mass,
               r-cran-ks,
               r-cran-sparr,
               r-cran-sp,
               r-cran-plyr,
               r-cran-dplyr,
               r-cran-fastmatch,
               r-cran-fitdistrplus,
               r-cran-gb2,
               r-cran-magrittr,
               r-cran-mvtnorm
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-kernelheaping
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-kernelheaping.git
Homepage: https://cran.r-project.org/package=Kernelheaping
Rules-Requires-Root: no

Package: r-cran-kernelheaping
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R kernel density estimation for heaped and rounded data
 In self-reported or anonymised data the user often encounters heaped
 data, i.e. data which are rounded (to a possibly different degree of
 coarseness). While this is mostly a minor problem in parametric density
 estimation the bias can be very large for non-parametric methods such as
 kernel density estimation. This package implements a partly Bayesian
 algorithm treating the true unknown values as additional parameters and
 estimates the rounding parameters to give a corrected kernel density
 estimate. It supports various standard bandwidth selection methods.
 Varying rounding probabilities (depending on the true value) and
 asymmetric rounding is estimable as well: Gross, M. and Rendtel, U.
 (2016) (<doi:10.1093/jssam/smw011>). Additionally, bivariate non-
 parametric density estimation for rounded data, Gross, M. et al. (2016)
 (<doi:10.1111/rssa.12179>), as well as data aggregated on areas is
 supported.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/Kernelheaping_([-\d.]*)\.tar\.gz
